0AD(6)

NAME
0ad - A real-time strategy game of ancient warfare

SYNOPSIS
0ad [options]

DESCRIPTION
0 A.D. is a free, open-source, cross-platform real-time strategy game of ancient warfare. As the military leader of an ancient civilisation, you must gather the resources you need to raise a military force capable of dominating your enemies.

OPTIONS

  Basic gameplay

-autostart
    Load a map instead of showing main menu (see below).

-editor
    Launch the Atlas scenario editor.

-mod NAME
    Start the game using NAME mod.

-quickstart
    Load faster (disables audio and some system info logging).

  Autostart

-autostart=NAME
    Map NAME for scenario, or rms name for random map.

-autostart-ai=PLAYER:AI
    Adds named AI to the given PLAYER (e.g. 2:testbot).

  Multiplayer

-autostart-playername=NAME
    Multiplayer local player NAME (default 'anonymous').

-autostart-host
    Multiplayer host mode.

-autostart-players=NUMBER
    Multiplayer host: NUMBER of client players (default 2).

-autostart-client
    Multiplayer client mode.

-autostart-ip=IP
    Multiplayer client: connect to this host IP.

  Random maps only

-autostart-random
    Random map.

-autostart-random=SEED
    Random map with SEED value (default 0, use -1 for random).

-autostart-size=TILES
    Random map SIZE in tiles (default 192).

-autostart-players=NUMBER
    NUMBER of players on random map.

  Configuration

-conf:KEY=VALUE
    Set a config value (overrides the contents of system.cfg).

-g=F
    Set the gamma correction to 'F' (default 1.0).

-nosound
    Disable audio.

-onlyPublicFiles
    Force game to use only the public (default) mod.

-shadows
    Enable shadows.

-vsync
    Enable VSync, i.e. lock FPS to monitor refresh rate.

-xres=N
    Set screen X resolution to 'N'.

-yres=N
    Set screen Y resolution to 'N'.

  Advanced / diagnostic

-dumpSchema
    Creates a file entity.rng in the working directory, containing complete entity XML schema, used by various analysis tools.

-replay=PATH
    Non-visual replay of a previous game, used for analysis purposes. PATH is system path to commands.txt containing simulation log.

-writableRoot
    Store runtime game data in root data directory (only use if you have write permissions on that directory).

  Archive builder

-archivebuild=PATH
    System PATH of the base directory containing mod data to be archived/precached.

-archivebuild-output=PATH
    System PATH to output of the resulting .zip archive (use with archivebuild).

-archivebuild-compress
    Enable deflate compression in the .zip (no zip compression by default since it hurts compression of release packages).

FILES

~/.config/0ad/config/local.cfg
    User specific settings. You may put in this file any user specific settings using the same syntax of the default settings file.

0 A.D. also uses the ~/.cache/0ad/ , ~/.config/0ad/ and ~/.local/share/0ad/ directories for other user specific files, such as texture cache, screenshots and saved games.

SEE ALSO

http://wildfiregames.com/0ad/
    0 A.D. main web site.

http://trac.wildfiregames.com/
    0 A.D. wiki and developer web site.

AUTHOR
0ad was written by the 0 A.D. Team.

This manual page was written by Fabio Pedretti <fabio.ped@libero.it>, for the Debian project (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.